=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-assert-plus-$1.tar.gz/ \
 https://github.com/mcavage/node-assert-plus/tags .*/archive/v?([\d\.]+).tar.gz
